Fork me on GitHub

#1 2015-07-09 14:58:35

Wolfy
Member
Registered: 2015-05-12
Posts: 313

eyeCalendar bugs

I was playing around with a cool little php script (from github) that tracks visible astronomical phenomena on its own very badly formatted calendar.  Then it occurred to me that I might want to try to integrate that apps data into oneye's calendar system and maybe even tie it right into "Quote of the Day".  Heck, for that matter why not tie QotD into the oneye calendar system too.  Well, to make a long story short.  My oneye calendar seems to be non-functioning.  I can't save the settings and I can't type anything into the box.  Anybody able to confirm? or is it just me on php 5.6.10 and oneye 0.9.6. Lars just clued me in that changes in the php protocol itself is starting to break older apps.  I have one homebrew eyeOS that runs fine under php 5.3.28, but won't boot under 5.6.0 because the wincache.dll was removed, and yet another that sent me on a wild goose chase looking a call to Pearl under 5.3.28, yet made it well past that and into the kernel under 5.6.  Very confusing to someone just learning how php works (or in too many cases- doesn't work).


Wolfy
https://www.facebook.com/groups/oneye/
Currently accepting new users...  http://www.OS1.hawkwolf.net
onEye admins: OS1 is a beta testing hotbed. Non-core apps available upon request.

Offline

#2 2015-07-09 15:04:39

Wolfy
Member
Registered: 2015-05-12
Posts: 313

Re: eyeCalendar bugs

PS- I just switched to php 5.3.28, and there's no change.  In addition, when I try to add a calendar it says the name already exists (no matter what I type), and there are no calendars listed.


Wolfy
https://www.facebook.com/groups/oneye/
Currently accepting new users...  http://www.OS1.hawkwolf.net
onEye admins: OS1 is a beta testing hotbed. Non-core apps available upon request.

Offline

#3 2015-07-09 17:25:40

Wolfy
Member
Registered: 2015-05-12
Posts: 313

Re: eyeCalendar bugs

I just figured out that the "php gap" isn't as big a deal as it first appeared.  For the most part, at least on IIS85, as long as I have a copy of the required library, I can activate it under the current version.  I did run into one command that they say will be completely deprecated soon, so it's not 100%.


Wolfy
https://www.facebook.com/groups/oneye/
Currently accepting new users...  http://www.OS1.hawkwolf.net
onEye admins: OS1 is a beta testing hotbed. Non-core apps available upon request.

Offline

Board footer

Powered by FluxBB